+#!/bin/bash
# The Evaluator -- Master Control Script
# (c) 2001 Martin Mares <mj@ucw.cz>
--- /dev/null
+#!/bin/bash
+
+if [ "$1" = --help ] ; then
+ echo "Usage: mo-get-users [--full]"
+fi
+[ -f config ] || { echo "Missing config file, check cwd." ; exit 1 ; }
+set -e
+. config
+
+if [ "$1" = --full ] ; then
+ FORM='$1,"\t",$5'
+else
+ FORM='$1'
+fi
+awk -F: </etc/passwd "{ gsub(\",.*\",\"\",\$5); if (\$3 >= $CT_UID_MIN && \$3 <= $CT_UID_MAX) print $FORM; }"
-#!/bin/sh
+#!/bin/bash
[ -n "$1" ] || { echo "Usage: mo-grab <tasks>" ; exit 1 ; }
[ -f config ] || { echo "Missing config file, check cwd." ; exit 1 ; }
set -e
. config
-for user in `awk -F: </etc/passwd '{ if ($3 >= 21000 && $3 < 30000) print $1; }'` ; do
+for user in `bin/mo-get-users` ; do
echo -n "$user:"
H=`eval echo ~$user`/.submit
if [ -d $H ] ; then
-#!/bin/sh
+#!/bin/bash
[ -f config ] || { echo "Missing config file, check cwd." ; exit 1 ; }
set -e